package com.ikon.projectmanagement.service;

import com.ikon.projectmanagement.dto.request.EmployeeRequestDto;
import com.ikon.projectmanagement.dto.response.EmployeeResponseDto;
import java.util.List;

public interface EmployeeService {
    
    /**
     * Retrieve all employees
     */
    List<EmployeeResponseDto> getAllEmployees();

    /**
     * Retrieve employee by ID
     */
    EmployeeResponseDto getEmployeeById(String id);

    /**
     * Create a new employee
     */
    EmployeeResponseDto createEmployee(EmployeeRequestDto dto);

    /**
     * Update an existing employee
     */
    EmployeeResponseDto updateEmployee(String id, EmployeeRequestDto dto);

    /**
     * Delete an employee by ID
     */
    void deleteEmployee(String id);
}
